processing.data

## Interface TableRow

-     public interface TableRow

  See Also:
    `Table`, `Table.addRow()`, `Table.removeRow(int)`, `Table.clearRows()`, `Table.getRow(int)`, `Table.rows()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnCount()`
    `String` | `getColumnTitle(int column)`
    `String[]` | `getColumnTitles()`
    `int` | `getColumnType(int column)`
    `int` | `getColumnType(String columnName)`
    `int[]` | `getColumnTypes()`
    `double` | `getDouble(int column)`
    `double` | `getDouble(String columnName)`
    `float` | `getFloat(int column)`
    `float` | `getFloat(String columnName)`
    `int` | `getInt(int column)`
    `int` | `getInt(String columnName)`
    `long` | `getLong(int column)`
    `long` | `getLong(String columnName)`
    `String` | `getString(int column)`
    `String` | `getString(String columnName)`
    `void` | `setDouble(int column, double value)`
    `void` | `setDouble(String columnName, double value)`
    `void` | `setFloat(int column, float value)`
    `void` | `setFloat(String columnName, float value)`
    `void` | `setInt(int column, int value)`
    `void` | `setInt(String columnName, int value)`
    `void` | `setLong(int column, long value)`
    `void` | `setLong(String columnName, long value)`
    `void` | `setString(int column, String value)`
    `void` | `setString(String columnName, String value)`

- - ### Method Detail

    - #### getString

          String getString(int column)

      Parameters:
        `column` - ID number of the column to reference
      See Also:
        `getInt(int)`, `getFloat(int)`

    - #### getString

          String getString(String columnName)

      Parameters:
        `columnName` - title of the column to reference

    - #### getInt

          int getInt(int column)

      Parameters:
        `column` - ID number of the column to reference
      See Also:
        `getFloat(int)`, `getString(int)`

    - #### getInt

          int getInt(String columnName)

      Parameters:
        `columnName` - title of the column to reference

    - #### getLong

          long getLong(int column)

    - #### getLong

          long getLong(String columnName)

    - #### getFloat

          float getFloat(int column)

      Parameters:
        `column` - ID number of the column to reference
      See Also:
        `getInt(int)`, `getString(int)`

    - #### getFloat

          float getFloat(String columnName)

      Parameters:
        `columnName` - title of the column to reference

    - #### getDouble

          double getDouble(int column)

    - #### getDouble

          double getDouble(String columnName)

    - #### setString

          void setString(int column,
                         String value)

      Parameters:
        `column` - ID number of the target column
        `value` - value to assign
      See Also:
        `setInt(int, int)`, `setFloat(int, float)`

    - #### setString

          void setString(String columnName,
                         String value)

      Parameters:
        `columnName` - title of the target column

    - #### setInt

          void setInt(int column,
                      int value)

      Parameters:
        `column` - ID number of the target column
        `value` - value to assign
      See Also:
        `setFloat(int, float)`, `setString(int, String)`

    - #### setInt

          void setInt(String columnName,
                      int value)

      Parameters:
        `columnName` - title of the target column

    - #### setLong

          void setLong(int column,
                       long value)

    - #### setLong

          void setLong(String columnName,
                       long value)

    - #### setFloat

          void setFloat(int column,
                        float value)

      Parameters:
        `column` - ID number of the target column
        `value` - value to assign
      See Also:
        `setInt(int, int)`, `setString(int, String)`

    - #### setFloat

          void setFloat(String columnName,
                        float value)

      Parameters:
        `columnName` - title of the target column

    - #### setDouble

          void setDouble(int column,
                         double value)

    - #### setDouble

          void setDouble(String columnName,
                         double value)

    - #### getColumnCount

          int getColumnCount()

    - #### getColumnType

          int getColumnType(String columnName)

    - #### getColumnType

          int getColumnType(int column)

    - #### getColumnTypes

          int[] getColumnTypes()

    - #### getColumnTitle

          String getColumnTitle(int column)

    - #### getColumnTitles

          String[] getColumnTitles()